/*==========================================================*/
/*  file name: random_sampler.h                             */
/*  (header for random_sampler.c)                           */
/*==========================================================*/

/* Constant */

#define RANDMAX   0x80000000

/* Functions for pseudo-random generation "m90random"  */

extern  void           m90setseeds(unsigned long, unsigned long, 
                                   unsigned long, unsigned long, 
                                   unsigned long);
extern  void           m90getseeds(unsigned long *, unsigned long *, 
                                   unsigned long *, unsigned long *, 
                                   unsigned long *);
extern  char           m90randombit(void);
extern  unsigned long  m90random31(void);
extern  double         m90randomu(void);

/* Functions for dynamic random Weyl sampling "DRWS"  */

extern  void           init_drws(void);
extern  void           end_drws(void);
extern  long           get_locmax(void);
extern  void           set_locmaxmax(long);
extern  void           set_first_location(void);
extern  unsigned long  drws31(void);
extern  double         drwsu(void);

/*================ End of random_sampler.h ====================*/